import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)

/**
 * A piano that can be played with the computer keyboard.
 * 
 * @author: M. Kolling
 * @version: 0.1
 */
public class Piano extends World
{ 
  /**
  * ^
  */  
  private String whiteKeys[]={"a","s","d","f","g","h","j","k","l",";","'","\\"} ;
  private String blackKeys[]={"w","e","","t","y","u", "", "o", "p", "", "]"} ;
  /**
  * 
  */  
  private String whiteNotes[]={"3c","3d","3e","3f","3g","3a","3b","4c","4d","4e","4f","4g"} ;
  private String blackNotes[]={"3c#","3d#","", "3f#","3g#","3a#", "", "4c#","4d#","", "4f#"} ;
   /**
     * Make the piano.
     */
    public Piano() 
    {
        super(800, 340, 1);
        makeKeys();
        
    }
    public void makeKeys(){
        for (int i=0; i<12;i++)
        {
            addObject(new Key(whiteKeys[i], whiteNotes[i]+ ".wav", "white-key.png", "white-key-down.png"),54+63*i,140);
        }
        for (int i=0; i<11;i++)
        {
            if(blackKeys[i]!=""){
            addObject(new Key(blackKeys[i], blackNotes[i]+ ".wav", "black-key.png", "black-key-down.png"),85+(i*63),86);
            }
        }     
    }
   
        
        /*
        addObject(new Key(),54,140);
        addObject(new Key(),54+63,140);
        addObject(new Key(),54+63*2,140);
        addObject(new Key(),54+63*3,140);
        addObject(new Key(),54+63*4,140);
        addObject(new Key(),54+63*5,140);
        addObject(new Key(),54+63*6,140);
        addObject(new Key(),54+63*7,140);
        addObject(new Key(),54+63*8,140);
        addObject(new Key(),54+63*9,140);
        addObject(new Key(),54+63*10,140);
        */
                
    
    

}